Bug 103268 - Every request appears twice in developer support
Summary: Every request appears twice in developer support
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-28 11:39 UTC by Daniel Berrange
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:42:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-08-28 11:39:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
When looking at the request log in developer support, every single request is
appearing twice. For example:

Thu Aug 28 12:27:25 BST 2003 	6228 	52 	172.16.68.7 	GET
/ccm/content/admin/index.jsp?g1... 	[query log]
Thu Aug 28 12:27:23 BST 2003 	649 	28 	172.16.68.7 	GET
/ccm/content-center/?bbp.v=1&bb... 	[query log]
Thu Aug 28 12:27:23 BST 2003 	  	2 	172.16.68.7 	GET
/ccm/content-center/?bbp.v=1&bb... 	[query log]
Thu Aug 28 12:27:21 BST 2003 	154 	9 	172.16.68.7 	GET /ccm/content-center/ 
[query log]
Thu Aug 28 12:27:21 BST 2003 	  	2 	172.16.68.7 	GET /ccm/content-center/ 
[query log]
Thu Aug 28 12:26:08 BST 2003 	2790 	34 	172.16.68.7 	GET /ccm/portal/ 	[query log]
Thu Aug 28 12:25:17 BST 2003 	18 	2 	172.16.68.7 	GET
/ccm/STATIC/aplaws-custom/aplaw... 	[query log]
Thu Aug 28 12:25:17 BST 2003 	  	3 	172.16.68.7 	GET
/ccm/STATIC/aplaws-custom/aplaw... 	[query log]
Thu Aug 28 12:25:16 BST 2003 	1190 	9 	172.16.68.7 	GET /ccm/subsite/ 	[query log]
Thu Aug 28 12:23:47 BST 2003 	1605 	16 	172.16.68.7 	GET /ccm/subsite/ 	[query log]

It appears that some stage of the dispatcher process is causing the second
erroneous hit to appear - always with 2 db hits. This second hit should be
incorporated into the main request hit to give an accurate picture of the
overhead of serving a page.

In addition, the filtering of hits to '/ds' is only removing the first hit, not
the second.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn on developer support
2. Make some requests
3. View the request log
    

Actual Results:  Every request appears twice

Expected Results:  Every request appears once.

Additional info:

Comment 1 Aram Kananov 2003-12-09 10:30:11 UTC
the fix for it is p4 change #38616.
it also fixes the sql which was executed prior to registering request
in ds

Comment 2 Richard Li 2003-12-22 19:40:30 UTC
merged @39024

Comment 3 David Lawrence 2006-07-18 02:44:02 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 4 Daniel Berrange 2006-09-02 17:42:46 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.